NVIDIA
NVIDIA
CUDA Deep Learning
Container
NVIDIA
NVIDIA
CUDA Deep Learning

CUDA is a parallel computing platform and programming model that enhances computing performance using NVIDIA GPUs. CUDA Deep Learning integrates networking and GPU-accelerated libraries like cuDNN, cuTensor, NCCL, HPC-x, and the CUDA Toolkit.

LayerLabelCreated
45f8e703a3f46d85e3fb1d603b5e3b28ec30590fa2f5e634a1ff4093d0404675CONFIG
Entrypoint /opt/nvidia/nvidia_entrypoint.sh
02/03/2026 9:10 PM UTC
f49ecb6c7fbe5cd645744320c8c9d11331917dca7104be0a077d7d581d0642a3RUN
ENABLE_MITMPROXY=0 CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION /tmp/manage_cert.sh uninstall
02/03/2026 9:10 PM UTC
c9f94f69aeab1d0a67a84e226616c56fea21c4f62a120002ec03c51736148c99ENV
LIBRARY_PATH=/usr/local/cuda/lib64/stubs:
02/03/2026 9:10 PM UTC
32d4d9951b091850e007ced75dffe2199b025511dd74b54bbe841979f4a686ccRUN
RUN |3 ENABLE_MITMPROXY=0 CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION /bin/sh -c set -exo pipefail VERSION_LIST="${VERSION_LIST}" /nvidia/build-scripts/installLIBS.sh # Hack to grab stubs from the libs stage and put them under /usr/local/cuda/lib64 without actually installing the libs HACK_LIST="cusparse cusolver cufft nvJitLink" for lib in ${HACK_LIST}; do _LIB_VERSION_ENV_VAR="${lib^^}_VERSION" _LIB_MAJOR_VERSION=$(echo "${!_LIB_VERSION_ENV_VAR}" | cut -d. -f1) if [[ -z "${_LIB_MAJOR_VERSION}" ]]; then echo "[ERROR] ${_LIB_VERSION_ENV_VAR} is not set" exit 1 fi for _stub in $(ls /tmp/stubs/*${lib}*); do cp ${_stub} /usr/local/cuda/lib64/$(basename ${_stub}).${_LIB_MAJOR_VERSION} # Create a symlink to the file with .0 extension ln -sf $(basename ${_stub}).${_LIB_MAJOR_VERSION} /usr/local/cuda/lib64/$(basename ${_stub}).0 done done ( set +x; echo "[INFO] /usr/local/cuda/lib64 after hack:"; ls -larth /usr/local/cuda/lib64/ ) /nvidia/build-scripts/installCUDNN.sh /nvidia/build-scripts/installCUSPARSELT.sh NOBUILDER=1 /nvidia/build-scripts/installTRT.sh if [ ! -f /etc/ld.so.conf.d/nvidia-tegra.conf ]; then /nvidia/build-scripts/installNCCL.sh /nvidia/build-scripts/installNVSHMEM.sh # Manually create symlinks nvshmem so we don't need to use dpkg-divert
  # nvshmem default installation is under /usr/lib/x86_64-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}
  # We need to libs to be available under /usr/local/cuda/lib64
  export CUDA_VERSION_MAJOR=$(echo "${CUDA_VERSION}" | cut -d. -f1)
  find /usr/lib/*-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}/ -maxdepth 1 -type f -exec ln -sf {} /usr/local/cuda/lib64/ \;
  # For symlinks under /usr/lib/*-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}/, we want to create it under /usr/local/cuda/lib64/ and link it to the same target
  find /usr/lib/*-linux-gnu/nvshmem/${CUDA_VERSION_MAJOR}/ -maxdepth 1 -type l -exec ln -sf {} /usr/local/cuda/lib64/ \;
  # Ensure libnvshmem_host.so* files exist under /usr/local/cuda/lib64
  ls /usr/local/cuda/lib64/libnvshmem_host.so* || { echo "[ERROR] libnvshmem_host.so* not found under /usr/local/cuda/lib64"; exit 1; }
fi
 # buildkit
02/03/2026 9:10 PM UTC
7b5ee4e5dee6d8769f5817b783efd39164180637d94d49d3eae9510d6edcb652ARG
VERSION_LIST=CURAND_VERSION CUBLAS_VERSION CUFILE_VERSION
02/03/2026 9:08 PM UTC
c12fb626d4e3bf380534e3023a97c3f1b08e92e31414e8fb75102011bad11f37RUN
RUN |2 ENABLE_MITMPROXY=0 CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras /bin/sh -c set -exo pipefail if [ ! -f /etc/ld.so.conf.d/nvidia-tegra.conf ]; then COMPONENT_LIST="${CUDA_COMPONENT_LIST}" /nvidia/build-scripts/installCUDA.sh else # Don't use COMPONENT_LIST in iGPU environment
    /nvidia/build-scripts/installCUDA.sh
fi
 # buildkit
02/03/2026 9:08 PM UTC
8dfac04b3e67973653245e24236ce15fa6055930d64a163501b97aa39080c55eENV
CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras
02/03/2026 9:08 PM UTC
83a2caa26e22a66c9db9a825d806cef22898c37dfb3fe27f0f6ed01895b74c60ARG
CUDA_COMPONENT_LIST=cccl crt nvrtc driver-dev culibos-dev cudart cudart-dev nvcc tileiras
02/03/2026 9:08 PM UTC
ea0498161bfc1a9d7761d175b6e18148bfe7b784359b5c6408c960bf46df98f4RUN
ENABLE_MITMPROXY=0 export DEBIAN_FRONTEND=noninteractive &&
  apt-get update &&
  apt-get install -y --no-install-recommends apt-utils build-essential libncurses6 libncursesw6 unzip jq gnupg libtcmalloc-minimal4 git libglib2.0-0 libhwloc15 libnuma-dev libnuma1 libpmi2-0-dev numactl openssh-client vim-tiny wget &&
  rm -rf /var/lib/apt/lists/*
02/03/2026 9:08 PM UTC
f16b82fb25dbacc4e036078aca091c4b39590331961329999dc5d914bb5fde1dRUN
ENABLE_MITMPROXY=0 /tmp/manage_cert.sh install
02/03/2026 9:08 PM UTC